// sewing styles
.sewing{
  position: fixed;
  height: 90vh;
  width: 60%;
  background: $c-white;
  // right: 0;
  left: 20%;
  top:5vh;
  overflow: auto;
  
  z-index: 5;
  display: block;
  padding:0px 2%  ;
  margin: 0 auto;
    transition: .5s;
    opacity: 0;
    visibility: hidden;
border-radius: 10px;
&::-webkit-scrollbar-track{
    border-radius: 10px;
    
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #F5F5F5;
    
}

&::-webkit-scrollbar{
    border-radius: 20px;
    
	width: 10px;
    background-color: #F5F5F5;
}

&::-webkit-scrollbar-thumb{
    border-radius: 5px;
    
	background-color: #000000;
    border: 2px solid #555555;
    
}
  &__overlay{
      position: fixed;
      height: 100%;
      width: 100%;
      background: rgba(0, 0, 0, 0.60);
      right: 0;
      top: 0;
      z-index: 5;
      visibility: hidden;
      transition: .5s;
      opacity: 0;
    &.open{ 
        visibility: visible;
        opacity:1;
      transition: .5s;
      
    } 
  }   
  &.open{ 
      visibility: visible;
      opacity:1;
      transition: .5s;
      
      
  } 

  &__close{
      position: absolute;
      right: 2%;
      top: 2%;
  }

  &__content{
    position: relative;
      padding-top: 50px;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
    //   padding-bottom: 20px;
  height: auto;
  margin-bottom: 20px;
  

  }

  &__title{
      font-size: $fs-24;
      text-transform: uppercase;
  }
  &__text{
      font-size: $fs-16;
      &-first{
        padding: 0 8%;
      }
      &-last{
          margin-top: 50px;
      }
      p {
          text-align: center;
      }

  }
  &__subtitle{
      font-size: $fs-18;
    //   padding: 5px; 
  }
  &__underline{
        max-width: 200px;
        width: auto;
        margin: 5px auto 0;
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: center;
        &-text{
            margin-top: 5px;
        }
        &-first{
            max-width: 125px;
        }
        &:after{
            content: '';
            // position: absolute;
            height: 1px;
            width: 93%;
            background: $c-dark;
            // bottom: 0;
            // left: auto;
            // right: auto;

            // margin: 0 auto;
        }
    }
    &__upload{
        font-weight: $fw-extrabold;
        text-transform: uppercase;
        width: 160px;
        height: 35px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        line-height: .9;
        background: linear-gradient(to top, rgba(116,113,113,0.92) 0%,rgba(188,187,187,0.92) 52%,rgba(202,201,201,0.92) 62%,rgba(255,255,255,1) 100%);
        transition: box-shadow .35s;
        margin-bottom: 10px;
        span{
            font-weight: $fw-normal;
            text-transform: lowercase;
        }
        &:hover{
            box-shadow: 0px 3px 15px 1px rgba(0,0,0,0.5);
        }
    }
    &__detail{
        margin-top: 0;
        font-size: $fs-14;
        margin-bottom: 25px;
    }


}
////////////////////////////////////
//Responsiwe
////////////////////////////////////

@media #{$desktop}{
    .sewing{
        height: 100%;
        width: 100%;
        left: 0;
        top:0;
    }
}